import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatTemplateVersionDetailsComponent } from './heat-template-version-details.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('HeatTemplateVersionDetailsComponent', () => {
  let component: HeatTemplateVersionDetailsComponent;
  let fixture: ComponentFixture<HeatTemplateVersionDetailsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeatTemplateVersionDetailsComponent],
      imports: [HttpClientTestingModule, RouterTestingModule, ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatTemplateVersionDetailsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
